## python-mpiplus 0.0.1

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = mpiplus
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-mpiplus (0.0.1-2) unstable; urgency=medium

  * Add autopkgtest.

 -- Andrius Merkys <merkys@debian.org>  Sat, 05 Nov 2022 10:33:23 -0400

python-mpiplus (0.0.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1022157)

 -- Andrius Merkys <merkys@debian.org>  Fri, 21 Oct 2022 02:19:01 -0400

=== debian/control ===
Source: python-mpiplus
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-numpy <!nocheck>,
 python3-pytest <!nocheck>,
 python3-setuptools,
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.6.1
Homepage: https://github.com/choderalab/mpiplus
Vcs-Browser: https://salsa.debian.org/science-team/python-mpiplus
Vcs-Git: https://salsa.debian.org/science-team/python-mpiplus.git

Package: python3-mpiplus
Architecture: all
Depends:
 python3-numpy,
 ${misc:Depends},
 ${python3:Depends},
Description: Python GPU framework for alchemical free energy calculations (Python 3)
 GPU-accelerated Python framework for exploring algorithms for alchemical free
 energy calculations.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = mpiplus

%:
	dh $@ --buildsystem pybuild

override_dh_auto_test:
	dh_auto_test -- --test-pytest

override_dh_auto_clean:
	dh_auto_clean
	rm -rf mpiplus.egg-info

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v(\d\S+)\.tar\.gz/mpiplus-$1\.tar\.gz/ https://github.com/choderalab/mpiplus/tags .*\/v(\d\S+)\.tar\.gz

## python-mpiplus 0.0.2+ds

=== debian/changelog ===
python-mpiplus (0.0.2+ds-1) unstable; urgency=medium

  * New upstream version 0.0.2+ds
  * Exclude versioneer.py, depend on python3-versioneer instead
    (Closes: #1058127)
  * Simplify debian/rules.
  * Switch testsuite to autopkgtest-pkg-pybuild.
  * Update debian/copyright.
  * Update standards version to 4.6.2, no changes needed.

 -- Andrius Merkys <merkys@debian.org>  Tue, 16 Jan 2024 01:46:34 -0500

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,9 @@
  python3-numpy <!nocheck>,
  python3-pytest <!nocheck>,
  python3-setuptools,
-Testsuite: autopkgtest-pkg-python
-Standards-Version: 4.6.1
+ python3-versioneer,
+Testsuite: autopkgtest-pkg-pybuild
+Standards-Version: 4.6.2
 Homepage: https://github.com/choderalab/mpiplus
 Vcs-Browser: https://salsa.debian.org/science-team/python-mpiplus
 Vcs-Git: https://salsa.debian.org/science-team/python-mpiplus.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = mpiplus

%:
	dh $@ --buildsystem pybuild

execute_after_dh_auto_clean:
	rm -rf mpiplus.egg-info

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v(\d\S+)\.tar\.gz/mpiplus-$1\.tar\.gz/,repack,repacksuffix=+ds,dversionmangle=auto \
 https://github.com/choderalab/mpiplus/tags .*\/v(\d\S+)\.tar\.gz
